<div class="raceWrapper" ng-controller="raceCtrl">
	<form  class="ui form" ng-submit="saveForm()" >
		<h4 class="ui dividing header">Formulario carrera</h4>
		<div class="four wide field idCarrera">
			<label>Id carrera</label>
			<input type="text" placeholder="{{keyActual}}" readonly="">
		</div>
		<div class="pubButton">
			<button class="ui button" type="button" ng-class=" form.publicado ? 'green' : 'red'" ng-click="form.publicado = !form.publicado">
				<span ng-show="form.publicado">Despublicar</span>
				<span ng-hide="form.publicado">Publicar</span>
			</button>
		</div>
		<div class="eight wide required field">
			<label>Nombre</label>
			<input type="text" name="race-name" placeholder="Nombre de la carrera" ng-model="form.nombre" required>
			<div class="raceImage">
				<p>Dimensions: 250px X 250px</p>
				<img ng-src="{{form.imagen}}" class="img-thumbnail" ng-if="form.imagen">

				<button type="button" class="btn btn-success"
								ngf-select ngf-change="image($files)" ngf-multiple="false">
					Upload Image
				</button>
				<button type="button" class="btn btn-danger"
								ng-if="form.imagen"
								ng-click="ctrl.deleteImg()">
					Delete Image
				</button>
			</div>
		</div>

		<div class="fields">
			<div class="five wide required field">
				<label>Ciudad</label>
				<input type="text" name="ciudad" placeholder="Ciudad de carrera" ng-model="form.city" required>
			</div>
			<div class="three wide required field">
				<label>Fecha</label>
				<input type="date" name="fecha" min="2016-01-01" max="2025-12-31" ng-model="form.date" required>
			</div>
		</div>
		<div class="fields">
			<div class="five wide required field">
				<label>Lugar de Inicio</label>
				<input type="text" name="ciudad" placeholder="Lugar de inicio de la carrera" ng-model="form.placeInit" required>
			</div>
			<div class="three wide required field">
				<label>Hora Informativa</label>
				<input type="time" name="hora" min="2016-01-01" max="2025-12-31" ng-model="form.hour" required>
			</div>
		</div>
		<div class="field eight wide">
			<label>Información General</label>
			<textarea ng-model="form.raceInfo"></textarea>
		</div>

		<div class="field eight wide">
			<label class="catLabel">Categoria</label>
			<button type="button" class="ui button catButton" ng-click="agregarCategoria()">Agregar Categoría</button>

		<!------------------------ ITEM CATEGORÍA ----------------------------------->
			<div class="categorias">
				<div ng-repeat="(key, categoria) in form.categorias" class="itemCategoria">
					<div class="distancia ui form">
            <div class="fields">
  						<div class="cant six wide field">
                <label class="distLabel">Distancia</label>
    						<input class="field four wide" name="distancia" ng-model="form.categorias[key].distancia"><label class="km">Km</label>
  						</div>
  						<div class="required six wide field hora">
  							<label>Hora Inicio</label>
  							<input type="time" name="hora" min="2016-01-01" max="2025-12-31" ng-model="form.categorias[key].horaInicio" required>
  						</div>
  						<div class="borrar field">
  						  <button ng-click="eliminarCategoria(key)" class="catDelete">Borar Categoría</button>
  						</div>
            </div>
					</div>
					<label class="tiemposLabel">Tiempos estimados - (Formato hh:mm)</label>
					<div class="tiempos six fields">
						<div class="labelFromUntil">
							<div>Desde</div>
							<div>Hasta</div>
						</div>
						<div ng-repeat="(id, tiempos) in categoria.tiempos" class="field four wide timesWrapper">
							<input ng-class="(inputValid) ? 'inputValid' : 'inputInvalid'" type="text" ng-change="validateHhMm(form.categorias[key].tiempos[id].inicio, key, id)" name="inicio" ng-model="form.categorias[key].tiempos[id].inicio" placeholder="hh:mm">
							<input ng-class="(inputValid) ? 'inputValid' : 'inputInvalid'" type="text" ng-change="validateHhMm(form.categorias[key].tiempos[id].fin)"  name="fin" ng-model="form.categorias[key].tiempos[id].fin" placeholder="hh:mm">
							
							<!--<input name="inicioh" ng-model="form.categorias[key].tiempos[id].hinicio" placeholder="hora"> :
							<input name="iniciom" ng-model="form.categorias[key].tiempos[id].minicio" placeholder="min">
							<input name="finh" ng-model="form.categorias[key].tiempos[id].hfin" placeholder="hora"> :
							<input name="finm" ng-model="form.categorias[key].tiempos[id].mfin" placeholder="min">-->
						</div>
					</div>
					<div class="field wide coordenadas">
						<label>Coordenadas</label>
						<div>
							<div class="InitPoint mainPoints">
								<label class="pointsLabel">Punto Inicio</label>
								<input type="text" class="field four wide" ng-model="form.categorias[key].coordenadas.puntoInicio.latitud" placeholder="Latitud Inicio">
								<input type="text" class="field four wide" ng-model="form.categorias[key].coordenadas.puntoInicio.longitud" placeholder="Longitud Inicio">
							</div>
							<div class="finishPoint mainPoints">
								<label class="pointsLabel">Punto Final</label>
								<input type="text" class="field four wide" ng-model="form.categorias[key].coordenadas.puntoFinal.latitud" placeholder="Latitud Final">
								<input type="text" class="field four wide" ng-model="form.categorias[key].coordenadas.puntoFinal.longitud" placeholder="Longitud Final">
							</div>
							<div class="field checkpoint">
								<label class="catLabel">Check points</label>
								<button type="button" class="ui button catButton" ng-click="agregarCheckPoint(key)">Agregar Checkpoint</button>
								<div class="checkpoints">
									<div ng-repeat="(id, point) in form.categorias[key].coordenadas.checkpoints" class="itemCheckPoint">
										<div class="coordenadasCheck">
											<label class="distLabel checkLab">Latitud</label>
											<input class="field four wide" name="distancia" ng-model="form.categorias[key].coordenadas.checkpoints[id].latitud">
											<label class="distLabel checkLab">Longitud</label>
											<input class="field four wide" name="distancia" ng-model="form.categorias[key].coordenadas.checkpoints[id].longitud">
											<button ng-click="eliminarCheckpoint(key, id)" class="catDelete checkDel">Borar Checkpoint</button>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<!---- FIN ITEM CATEGORÍA ---->

		</div>
		<input type="submit" value="GUARDAR CARRERA" class="saveRace"></input>
	</form>
</div>